# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Test-Warn
Version:	0.32
Release:	1.%{__distinit}%{__distvers}
Summary:	Perl extension to test methods for warnings
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Test-Warn/
Source0:	http://search.cpan.org/CPAN/authors/id/B/BI/BIGJ/Test-Warn-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	sed
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(strict)
BuildRequires:	perl(Sub::Uplevel) >= 0.12
BuildRequires:	perl(Test::Builder) >= 0.13
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(constant)
BuildRequires:	perl(Test)
BuildRequires:	perl(Test::Builder::Tester)
BuildRequires:	perl(Test::More)
# Dependencies
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This module provides a few convenience methods for testing warning
based code.

%prep
%setup -q -n Test-Warn-%{version}

# Fix line endings
sed -i -e 's/\r$//' Changes

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%doc Changes README
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::Warn.3*

%changelog
* Sat Dec 24 2016 Paul Howarth <paul@city-fan.org> - 0.32-1
- Update to 0.32
  - Update Changes and distribution metadata

* Sun Dec 18 2016 Paul Howarth <paul@city-fan.org> - 0.31-1
- Update to 0.31
  - Improve support for warnings with trailing newlines
- This release by BIGJ → update source URL

* Fri Oct  7 2016 Paul Howarth <paul@city-fan.org> - 0.30-7
- Classify buildreqs by usage
- Simplify find command using -delete

* Tue Sep  2 2014 Paul Howarth <paul@city-fan.org> - 0.30-3
- Drop %%defattr, redundant since rpm 4.4

* Wed Mar  5 2014 Paul Howarth <paul@city-fan.org> - 0.30-1
- Update to 0.30
  - Important note in documentation how check for warning category is done; if
    you use Test::Warn with categories, you should check that it does what you
    expect
  - Category tree is now dynamic and does not use Tree::DAG_Node

* Tue Feb 18 2014 Paul Howarth <paul@city-fan.org> - 0.24-8
- Specify all dependencies

* Sun Jul  8 2012 Paul Howarth <paul@city-fan.org> - 0.24-2
- Perl 5.16 rebuild

* Sun Apr  1 2012 Paul Howarth <paul@city-fan.org> - 0.24-1
- Update to 0.24 (compatibility with Carp 1.25)
- BR: Perl core modules that might be dual-lived
- Don't need to remove empty directories from buildroot
- Drop explicit runtime versioned dependency on Test::Builder, satisfied in
  all distributions since the dawn of time (nearly)
- Drop compatibility with distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Wed Jun 29 2011 Paul Howarth <paul@city-fan.org> - 0.23-2
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri Feb 25 2011 Paul Howarth <paul@city-fan.org> - 0.23-1
- Update to 0.23
  - compatibility with Perl 5.14
- Remove explicit dependency on perl(Sub::Uplevel), no longer needed
- Tweak dependency filter

* Fri Sep 10 2010 Paul Howarth <paul@city-fan.org> - 0.22-1
- Update to 0.22 (fixes in English)
- Upstream release is now a tarball

* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> - 0.21-4
- Rebuild for perl 5.12.1 in Rawhide

* Fri May 28 2010 Paul Howarth <paul@city-fan.org> - 0.21-3
- Fix dist tag for RHEL-6 Beta

* Wed Feb 17 2010 Paul Howarth <paul@city-fan.org> - 0.21-2
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Tue Sep  1 2009 Paul Howarth <paul@city-fan.org> - 0.21-1
- Update to 0.21
  - rename internal package Tree::MyDAG_Node with Test::Warn::DAG_Node_Tree
  - warnings_exist added
  - allow files with spaces in path (RT#21545)
  - carped.t will work on VMS (RT#39579)
  - Array::Compare is not needed
  - Test::Exception is also not needed
  - MIN_PERL_VERSION and compatibility layer in Makefile.PL
- Drop buildreqs perl(Test::Exception) and perl(Array::Compare)
- Define RPM macros in global scope
- Upstream distribution is now a zip file (ugh)

* Thu Nov 13 2008 Paul Howarth <paul@city-fan.org> - 0.11-2
- Tweak dist tag macros to work on current Rawhide with three-part releasenum

* Wed Jul  9 2008 Paul Howarth <paul@city-fan.org> - 0.11-1
- Update to 0.11
- Add buildreqs perl(File::Spec) and perl(Test::More)

* Wed May  2 2007 Paul Howarth <paul@city-fan.org> - 0.10-1
- Update to 0.10
- Use versioned build dependencies for Sub::Uplevel and Test::Builder
  (upstream requirement of Test::Builder::Tester >= 1.02 cannot
  be met on older distributions)
- Add runtime dependencies on Sub::Uplevel, Test::Builder, and
  Test::Builder::Tester

* Fri Mar 16 2007 Paul Howarth <paul@city-fan.org> - 0.09-1
- Update to 0.09
- Fix dist tag for development releases and Fedora 7 onwards
- Remove %%{__perl_version} macro, used only once
- Remove buildroot unconditionally in %%clean and %%install
- Don't use macros in command paths, hardcode them instead
- Fix argument order for find with -depth
- Use search.cpan.org download URL
- BuildRequire perl(ExtUtils::MakeMaker) and perl(Test::Pod)

* Fri Aug 26 2005 Paul Howarth <paul@city-fan.org> - 0.08-3
- Import from Fedora Extras

* Fri Jul  1 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.08-2
- Dist tag

* Sun Jul 04 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:0.08-0.fdr.1
- First build
